Simulation Run Plan
Get run plan by ID
Returns a specific simulation run plan by its ID.
GET
/
v1
/
simulation
/
plan
/
{planId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.simulationRunPlan.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.simulation_run_plan.get_by_id(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/simulation/plan/{planId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"iterationCount": 123,
"maxConcurrentJobs": 123,
"maxSimulationDurationSeconds": 123,
"silenceTimeoutSeconds": 123,
"endCallPhrases": [
"<string>"
],
"endCallReasons": [
"<string>"
],
"scenarios": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variables": {
"customerName": "John Doe",
"appointmentDate": "2024-02-15"
}
}
],
"personas": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"agentEndpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"evaluators": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"metrics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"testCaseCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the run plan to retrieve
Response
The requested run plan
A simulation run plan defining the test matrix
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.simulationRunPlan.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.simulation_run_plan.get_by_id(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)